#Ce fichier contiendra tes serveurs virtuels nginx (deso c'est pas apache ^^')

#SI TU CHANGES UN TRUC: demande à jessy ou à moi de faire "sudo nginx -s reload"

#exemple pour queue.ghosthub.fr (tu peux mettre plusieurs nom de serveur)

server {
  listen 80;
  listen [::]:80;

  server_name mirage.ghosthub.fr;
  root /var/www/mirage;

  error_page 500 502 503 504 = /50x.html;

  client_max_body_size 35M;

  location / {
    #proxy_pass http://127.0.0.1:4242;
    #proxy_intercept_errors on;
    index index.html;
    try_files $uri $uri/ =404;
    autoindex on;
  }

  #location /50x.html {
  #  root /home/xillal/ragnasong/views/error/;
  #}

#  location /css/ {
#    try_files $uri $uri/ =404;
#  }

#  location /img/ {
#    try_files $uri $uri/ =404;
#  }

#  location ~ \.php$ {
 #        include snippets/fastcgi-php.conf;
  #
         # With php-fpm (or other unix sockets):
#         fastcgi_pass unix:/var/run/php/php7.4-fpm.sock;
  #       # With php-cgi (or other tcp sockets):
  #       fastcgi_pass 127.0.0.1:9000;
  #}
}
